What about Meteorite? #1

Open
zvictor opened this Issue Nov 15, 2012 · 7 comments

2 participants

@zvictor

Firstly, thanks for your work.

I am using Meteorite, and trying to deploy it on dotcloud.
Do you know how to do it?

@jpetazzo
Owner

Can you provide a link to Meteorite?
(Unfortunately, googling for Meteor and Meteorite yields many results not related to real-time JS development...)

Thank you!

@zvictor

I tried npm install meteorite, but it is not supported.

13:03:01: [www] npm ERR! Unsupported
13:03:01: [www] npm ERR! Not compatible with your version of node/npm: meteorite@0.4.4
13:03:01: [www] npm ERR! Required: ["node >=0.6.0"]
13:03:01: [www] npm ERR! Actual:   {"npm":"1.0.27","node":"v0.4.11"}
13:03:01: [www] npm ERR!
13:03:01: [www] npm ERR! System Linux 2.6.38.2-grsec-dotcloud-ec2
13:03:01: [www] npm ERR! command "node" "/opt/node/bin/npm" "install" "meteorite"
13:03:01: [www] npm ERR! cwd /tmp/rsync-1353250966244
13:03:01: [www] npm ERR! node -v v0.4.11
13:03:01: [www] npm ERR! npm -v 1.0.27
13:03:01: [www] npm ERR!
13:03:01: [www] npm ERR! Additional logging details can be found in:
13:03:01: [www] npm ERR!     /tmp/rsync-1353250966244/npm-debug.log
13:03:01: [www] npm not ok
@jpetazzo
Owner

I updated the recipe to support recent versions of Meteor. I didn't try Meteorite yet, but at least now it shouldn't complain about the outdated version of Node.js :-)

@zvictor

Great!
I will try to fork and make a meteorite version.

@zvictor

I am almost there.
https://github.com/zvictor/meteorite-on-dotcloud

Exception while bundling application:
Error: Can't set DOCTYPE here.  (Meteor sets <!DOCTYPE html> for you) - line 1, file /home/dotcloud/rsync-1353632159491/node_modules/meteorite/node_modules/prompt/node_modules/pkginfo/docs/pkginfo.html
<!DOCTYPE html>  <html> <head>   <title>pkginfo.js</title>   <meta http-equiv="content-type" content="text/html; charset=UTF-8">   <link rel="stylesheet" media="all" href="docco.css" /> </head> <body>   <div id="container">     <div id="background"></div>          <table cellpadding="0" cellspacing="0">       <thead>         <tr>           <th class="docs">             <h1>               pkginfo.js             </h1>           </th>           <th class="code">           </th>         </tr>       </thead>       <tbody>                               <tr id="section-1">             <td class="docs">               <div class="pilwrap">                 <a class="pilcrow" href="#section-1">&#182;</a>               </div>                            </td>             <td class="code">               <div class="highlight"><pre><span class="cm">/*</span>
    at html_scanner.scan.parseError (/home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/packages/templating/html_scanner.js:23:14)
    at Object.html_scanner.scan (/home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/packages/templating/html_scanner.js:58:17)
    at /home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/packages/templating/package.js:46:32
    at _.extend.add_file (/home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/app/lib/bundler.js:195:5)
    at self.api.add_files (/home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/app/lib/bundler.js:96:16)
    at Array.forEach (native)
    at Function._.each._.forEach (/home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/app/lib/third/underscore.js:79:11)
    at self.api.add_files (/home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/app/lib/bundler.js:95:11)
    at Array.forEach (native)
    at Function._.each._.forEach (/home/dotcloud/.meteorite/meteors/meteor/meteor/16cf8a26218ae4650eb36b25ee55c2b5f6a71a31/app/lib/third/underscore.js:79:11)

Please fix the problem and restart.
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment